Subject: (urth) Catherine/Katharine

From: thalassocrat at nym.hush.com <thalassocrat at nym.hush.com>
Date: Sun, 29 Oct 2006 09:12:36 +0000

Wikipedia reckons that "Katharine" comes from a Latin mangling of 
the original Greek, which is closer to "Catherine". Of course this 
is consistent with Ouen's belief that the latter is an "old-
fashioned" kind of name. I guess there's some support there for an 
annoying time-travel solution to the puzzle. 

For a *really* annoying time-travel solution, Catherine should turn 
out to be the daughter of the "original" Sev, born back in time 
somewhere after he was returned from his trial, and transported 
forward to give birth to her father. Blah.

Wikipedia also gives a hesitant derivation of the Greek form of 
Catherine from "Hekate", as well as another from a word meaning 
"torture". I guess the first could make you wonder whether 
Catherine was an escapee from the witches. Seeing the witches as an 
"order of monials" is a stretch, but maybe not too much of a 
stretch.